{Решение-2 задачи КРАСИВОЕ ЧИСЛО.}
Uses SysUtils;
var  flag, ak : byte;
         k, n : integer;
            a : array[1..2] of byte;
            s : string;
begin
    assign(input, 'beauty.in');  reset(input);
    assign(output,'beauty.out'); rewrite(output);
    readln(n);
    read(s);
    flag := 1;
    if n > 1 then for k := 1 to 2 do a[k] := StrtoInt(s[k]);
    for k := 3 to n do begin
        ak:= StrtoInt(s[k]);
        if (ak - a[k mod 2]) mod 2 = 1 then flag := 0;
    end;
    if flag = 0 then write('no');
    if flag = 1 then write('yes');
    close(input);  close(output);
end.